# Class Traveler

- Defined in work/deeplinks/deeplinks/imports/traveler.ts:25

#####
Index

### Constructors

constructor

### Properties

deep
links
mode
travels

### Accessors

local
query
remote

### Methods

and
avg
count
down
from
in
max
min
out
select
subscription
sum
to
type
typed
up

##
Constructors

### constructor

- new Traveler(deep, links?, travels?, mode?): Traveler

- #### Parameters

  - deep: any
  - links: Link<Id>[] = []
  - travels: Travel<any>[] = []
  - mode: Mode = 'remote'

  #### Returns Traveler

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:31

##
Properties

### deep

deep: DeepClient<Link<Id>>

- Defined in work/deeplinks/deeplinks/imports/traveler.ts:26

### links

links: Link<Id>[] = []

- Defined in work/deeplinks/deeplinks/imports/traveler.ts:27

### mode

mode: Mode = 'remote'

- Defined in work/deeplinks/deeplinks/imports/traveler.ts:29

### travels

travels: Travel<"links">[]

- Defined in work/deeplinks/deeplinks/imports/traveler.ts:28

##
Accessors

### local

- get local(): Traveler

- #### Returns Traveler

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:142

### query

- get query(): Exp<"links">

- #### Returns Exp<"links">

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:68

### remote

- get remote(): Traveler

- #### Returns Traveler

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:145

##
Methods

### and

- and(query): Traveler

- #### Parameters

  - query: Exp<"links">

  #### Returns Traveler

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:64

### avg

- avg(): Promise<DeepClientResult<Link<Id>[]>>

- #### Returns Promise<DeepClientResult<Link<Id>[]>>

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:120

### count

- count(): any

- #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:105

### down

- down(query): Traveler

- #### Parameters

  - query: Exp<"tree">

  #### Returns Traveler

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:60

### from

- from(query): Traveler

- #### Parameters

  - query: Exp<"links">

  #### Returns Traveler

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:38

### in

- in(query): Traveler

- #### Parameters

  - query: Exp<"links">

  #### Returns Traveler

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:50

### max

- max(): Promise<DeepClientResult<Link<Id>[]>>

- #### Returns Promise<DeepClientResult<Link<Id>[]>>

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:134

### min

- min(): Promise<DeepClientResult<Link<Id>[]>>

- #### Returns Promise<DeepClientResult<Link<Id>[]>>

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:127

### out

- out(query): Traveler

- #### Parameters

  - query: Exp<"links">

  #### Returns Traveler

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:47

### select

- select(): any

- #### Returns any

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:88

### subscription

- subscription(): Observable<any>

- #### Returns Observable<any>

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:96

### sum

- sum(): Promise<DeepClientResult<Link<Id>[]>>

- #### Returns Promise<DeepClientResult<Link<Id>[]>>

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:113

### to

- to(query): Traveler

- #### Parameters

  - query: Exp<"links">

  #### Returns Traveler

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:41

### type

- type(query): Traveler

- #### Parameters

  - query: Exp<"links">

  #### Returns Traveler

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:44

### typed

- typed(query): Traveler

- #### Parameters

  - query: Exp<"links">

  #### Returns Traveler

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:53

### up

- up(query): Traveler

- #### Parameters

  - query: Exp<"tree">

  #### Returns Traveler

  - Defined in work/deeplinks/deeplinks/imports/traveler.ts:57